const system=require("../../../system");
const Dao=require("../../dao.base");
class MerchantrechargeDao extends Dao{
  constructor(){
    super(Dao.getModelName(MerchantrechargeDao));
    this.statusMap = {
      "00": "待审核",
      "10": "已入账",
      "20": "审核失败",
    }
  }
}
module.exports=MerchantrechargeDao;
    // var u=new UserDao();
    // var roledao=system.getObject("db.roleDao");
    // (async ()=>{
    //   var users=await u.model.findAll({where:{app_id:1}});
    //   var role=await roledao.model.findOne({where:{code:"guest"}});
    //   console.log(role);
    //   for(var i=0;i<users.length;i++){
    //     await users[i].setRoles([role]);
    //     console.log(i);
    //   }
    //
    // })();
